OpenVDB 5.1.0

Public Member Functions | Public Attributes | List of all members
TransformPoints< PointType > Struct Template Reference

`#include <MeshToVolume.h>`

## Public Member Functions
| TransformPoints (const PointType *pointsIn, PointType *pointsOut, const math::Transform &xform)
void | operator() (const tbb::blocked_range< size_t > &range) const

## Public Attributes
PointType const *const | mPointsIn
PointType *const | mPointsOut
math::Transform const *const | mXform

## Constructor & Destructor Documentation

## ◆ TransformPoints()

TransformPoints | ( | const PointType * | pointsIn,
|  | PointType * | pointsOut,
|  | const math::Transform & | xform
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) | const
| inline

## Member Data Documentation

## ◆ mPointsIn

PointType const* const mPointsIn

## ◆ mPointsOut

PointType* const mPointsOut

## ◆ mXform

math::Transform const* const mXform

The documentation for this struct was generated from the following file:

- MeshToVolume.h